/*
    FileExtractor.java by Frank B. Brokken (f.b.brokken@rc.rug.nl), June 2001
    Distribution: GPL

    Since all local  developments are stored in the package local,
    there is no need for further Dutch names. 

    To avoid unly language combinations, I now switch to English as the
    primary language.

    ---------------------------
    
    Class FileExtractor defines a class for text-file based input files
    based on their file names

    It defines the following members:

    FileExtractor()   -   Basic constructor, not associated with a file on disk
    FileExtractor(String filename)   - constructor associating the FileExtractor with
                                    a file on disk
    FileExtractor open(String filename)  - associating an FileExtractor with a file on 
                                        disk
    FileExtractor close() - closing the file, sets fail.
                               
*/
    
package local;
import java.io.*;

public class FileExtractor extends Extractor
{
    public FileExtractor()   // Basic constructor, not associated with a file
    {          
    }

    public FileExtractor(String fileName) 
    {          
        open(fileName);
    }

    public FileExtractor open(String fileName)
    {
        try
        {
            super.open(new FileReader(fileName));
        }
        catch(Exception e)
        {
            setMsg(e);
        }
        return this;
    }

    public FileExtractor close()
    {
        if (buffer != null)
            buffer.close();
        setMsg(buffer.message());
        return this;
    }
}
